-- Notecase Pro sample script (requires Notecase Pro >= 3.1.3)
--
-- Description:
--  select and open a Notecase Pro document from within the script

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 3)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.3")
	return
end

-- Nc_GUI_FileDlg - Show file selector window
-- PARAMETER 1: 1 - file open dialog, 0 - file save dialog
filename = Nc_GUI_FileDlg(1)

-- check file selection
if filename:len() == 0 then
	Nc_GUI_MessageBox("No file selected, aborting")
	return
end 

-- load selected document file
Nc_Doc_Load(filename)