-- Notecase Pro sample script (requires Notecase Pro >= 3.1.4)
--
-- Description:
-- get selected range offsets in the currently selected note of the currently active document

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 4)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.4")
	return
end

-- get info on the currently active document/note
nDocID = Nc_Doc_ID_GetCur()
strCurNoteID = Nc_Note_ID_GetCur(nDocID)

strNoteTitle = Nc_Note_Title_Get(nDocID, strCurNoteID)
nFrom, nTo = Nc_Note_SelectionRange_Get(nDocID, strCurNoteID)
strHtml = Nc_Note_Content_Get(nDocID, strCurNoteID, 1, nFrom, nTo)

Nc_GUI_MessageBox("Note:" .. strNoteTitle .. "\nSelection (" .. nFrom .. "," .. nTo .. "):" .. strHtml)