-- Notecase Pro sample script (requires Notecase Pro >= 3.1.3) 
--
-- Description
-- Fetches to the clipboard links for all notes that link to the current note
--
-- This script's author, Miroslav Rajcic, hereby waives all copyright 
-- and related or neighboring rights to this script, pursuant to the
-- Creative Commons CC0 Universal relinquishment of rights found at
-- http://creativecommons.org/publicdomain/zero/1.0/

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 1) or (nMaj == 3 and nMin == 1 and nRev < 3)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.1.3")
	return
end

-- get info on the currently active document
nDocID = Nc_Doc_ID_GetCur()
strCurNoteID = Nc_Note_ID_GetCur(nDocID)
	
if strCurNoteID == "" then
 	Nc_GUI_MessageBox("No note selected, aborting")
	return 
end 

-- Store directory script was launched from as an environmental variable
strLua = os.getenv("LUA_CURRENT_DIR")

-- Run WhatLinksHere script
dofile(strLua .. "12_WhatLinksHere.lua")

-- Run GetListLinks script
dofile(strLua .. "27_GetListLinks.lua")

-- Clear list and switch back to Tree Pane
Nc_App_List_Clear()
Nc_App_List_Switch(0)

-- Set former current note as current note
Nc_Note_ID_SetCur(strCurNoteID)
