-- Notecase Pro sample script (requires Notecase Pro >= 3.2.5)
--
-- Description:
-- 	This script plays an audio file named "typewriter.wav" placed in
--  the same folder as the script file. You'll need to provide yourself
--  the audio file to be played. Good candidate can be found here:
--  http://www.freesound.org/samplesViewSingle.php?id=100897
--
--  If you assign this script to the "Post note text typed" app event,
--  you'll create the simulation of the typewriter: you'll hear a
--  sound for each text letter typed in the program.
--
-- This script's author, Miroslav Rajcic, hereby waives all copyright 
-- and related or neighboring rights to this script, pursuant to the
-- Creative Commons CC0 Universal relinquishment of rights found at
-- http://creativecommons.org/publicdomain/zero/1.0/ 

-- make sure app version supports necessary scriptable program commands
nMaj, nMin, nRev = Nc_Config_GetAppVersion()
if (nMaj < 3 or (nMaj == 3 and nMin < 2) or (nMaj == 3 and nMin == 2 and nRev < 5)) then
	Nc_GUI_MessageBox("ERROR: Script requires NcPro version >= 3.2.5")
	return
end

-- play the typewriter sound
Nc_App_Audio_PlayFile(os.getenv("LUA_CURRENT_DIR") .. "typewriter.wav")
